{% extends "newbase.html" %}
{% load staticfiles %}

{% block title %}File loading{% endblock %}

{% block meta %}
<script type='text/javascript'
        src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js'>
</script>
<script type='text/javascript'
        src='https://ajax.aspnetcdn.com/ajax/jquery.validate/1.14.0/jquery.validate.min.js'>
</script>
<script>
  $(document).ready(function() {
  $('#id_file').on('change', function(evt) {
  var f = this.files[0];
  console.log(f);
  if (f.size > 4194304) {
  alert("File Size must be smaller than 4 MB");
  this.value = null;
  }
  if (f.size > 1048576) {
  $('#id_offline').val('True');
  console.log("Set offline to True");
  $('#extra_message').text('Because of the large size, the file will be processed offline. You will receive email when it is done. The extra actions will not be performed.');
  $('#extra_message').addClass('message');      
  }
  });
  });
</script>
{% endblock %}

{% block main %}
<ul class="main-content">
  <li class="grid_2">
    <h1>Upload Workout File</h1>
    <form enctype="multipart/form-data" action="{{ formloc }}" method="post">
      {% if form.errors %}
      <p style="color: red;">
        Please correct the error{{ form.errors|pluralize }} below.
      </p>
      {% endif %}

      <table>
        {{ rowerform.as_table }}
        {{ form.as_table }}
      </table>
      {% csrf_token %}
      <div id="formbutton" class="grid_1 prefix_4 suffix_1">
        <input class="button green" type="submit" value="Submit">
  </li>
  <li class="grid_2">
    <h1>Optional extra actions</h1>
    <p>
      <table>
	{{ optionsform.as_table }}
      </table>
    </p>
    <p>
      You can select one static plot to be generated immediately for this workout. You can select to upload to Concept2 automatically. If you check "make private", this workout will not be visible to your followers and will not show up in your teams' workouts list.
    </p>
    
  </li>
</ul>



</form>
{% endblock %}

{% block sidebar %}
{% include 'menu_workouts.html' %}
{% endblock %}

{% block scripts %}

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<script>
$( document ).ready(function() {
    $('#id_workouttype').on('change', function(){
        if (
            $(this).val() == 'water'
            || $(this).val() == 'coastal'
            || $(this).val() == 'c-boat'
            || $(this).val() == 'churchboat'
        ) {
            $('#id_boattype').toggle(true);
        } else { 
            $('#id_boattype').toggle(false);
            $('#id_boattype').val('1x');        
        }
});
$('#id_workouttype').change(); 
});

</script>
{% endblock %}
